Approvals
Replace the draft comment text without approving it.
Authorization
bearerAuth AuthorizationBearer <token>
An API key created under Settings → API & Webhooks.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/pending-comments/string" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "data": { "id": "string", "campaignId": "string", "campaignLeadId": "string", "leadId": "string", "stepId": "string", "status": "pending", "postUrl": "string", "postText": "string", "prompt": "string", "comment": "string", "firstName": "string", "lastName": "string", "headline": "string", "profileUrl": "string", "publicIdentifier": "string", "decidedAt": "2019-08-24T14:15:22Z", "postedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}